| Kea 3.0.2-git

tkey_exchange.h File Reference
`#include <asiodns/io_fetch.h>`
`#include <asiolink/io_service.h>`
`#include <gss_tsig_cfg.h>`
`#include <gss_tsig_key.h>`
`#include <util/buffer.h>`
`#include <memory>`
Include dependency graph for tkey_exchange.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::gss_tsig::TKeyExchange::Callback
| Callback for the `TKeyExchange` class. More...
class | isc::gss_tsig::TKeyExchange
| The `TKeyExchange` class handles communication with the DNS server. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::gss_tsig

## Typedefs
typedef boost::shared_ptr< TKeyExchange > | isc::gss_tsig::TKeyExchangePtr